﻿/*
One of those Weeks Day 6
Copyright (c) 2008-2011 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.inventory
{
	import flash.filters.GlowFilter;

	/**
	* This holds all the constants for the game as well as a holder for some of
	* the global information used by the inventory system.
	*/
	public class InventoryConst
	{
// ***** CONSTANTS **********************************************************

		public static const INVENTORY_EVENT:String = "INVENTORY_STATE_CHANGED";

		public static const INVSTATE_NORMAL:uint = 0;
		public static const INVSTATE_SELECTED:uint = 1;
		public static const INVSTATE_COMBINED:uint = 2;

		public static const HIGHLIGHT_NONE:uint = 0;
		public static const HIGHLIGHT_OVER:uint = 1;
		public static const HIGHLIGHT_SELECTED:uint = 2;

// ***** VARIABLES **********************************************************

		protected var _overGlow:GlowFilter;
		protected var _selectedGlow:GlowFilter;

// ***** CONSTRUCTOR ********************************************************

		public function InventoryConst()
		{
		}

// ***** Functions - Getters and setters ************************************

	} // end class
} // end package
