/*
One of those Weeks Day 6
Copyright (c) 2008-2009 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.converse
{
	// Adobe Imports
	import flash.events.IEventDispatcher;
	
	/**
	 * The interface for the a fully implemented converse speach.
	 *
	 * @author Billy D. Spelchan
	 * @version 1.0
	 * Copyright (c) 2007 Blazing Games Inc. All Rights Reserved.
	*/
	public interface ISpeach
	extends IEventDispatcher
	{
// ****************************************
// ***** Functions - IDialog required *****
// ****************************************

		function clearDisplay():void;
		function setDialog(s:String, quickly:Boolean=false, dtype:int=0):void;
		function addResponse(s:String, id:int, dtype:int=0):void;
		function startDisplay():void;
		function getLastResponse():int;

	} // end interface
} // end package

