﻿/*
One of those Weeks Episode 37
Copyright (c) 2008,2011 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.ep37
{
	// Adobe Imports
	import flash.display.MovieClip;

	public class CircuitPiece
	extends MovieClip
	{
// ***** CONSTANTS **********************************************************

		public static const EMPTY:int = 0; 
		public static const CORNER_TOPLEFT:int = 1;
		public static const CORNER_TOPRIGHT:int = 2;
		public static const CORNER_BOTTOMLEFT:int = 3;
		public static const CORNER_BOTTOMRIGHT:int = 4;
		public static const HORIZONTAL:int = 5;
		public static const VERTICAL:int = 6;
		public static const TSECTION_UP:int = 7; // T
		public static const TSECTION_DOWN:int = 8;
		public static const BATTERY_UP:int = 9;
		public static const BATTERY_DOWN:int = 10;
		public static const FIVE_UP:int = 11;
		public static const FIVE_DOWN:int = 12;
		public static const TEN_UP:int = 13;
		public static const TEN_DOWN:int = 14;
		public static const TWENTY_UP:int = 15;

// ***** VARIAIBLES *********************************************************

		protected var currentTile:int;

// ***** CONSTRUCTOR ********************************************************

		public function CircuitPiece()
		{
			gotoAndStop(1);
			currentTile = 0;
		}

// ***** Functions - Getters and Setters ************************************

		public function getTile():int
		{
			return currentTile;
		}

		public function setTile(tileID:int)
		{
			gotoAndStop(tileID+1);
			currentTile = tileID;
		}

	} // end class
} // end package
